Nine years ago, Google presented Android Jelly Bean to the world. Now, Android Jelly Bean’s Google Play Services will be coming to an end according to the Android Development blog. Android Jelly Bean as of now only has an active user base of less than 1%.

Now, this isn’t too surprising. A lot has changed in the world of Android since version 4 of the popular operating system. With the new updates, plenty of new features and improvements came to Android. Unfortunately, not all of these features and improvements made it to Jelly Bean.

As a result, Google will discontinue the Google Play services for Android Jelly Bean. Keeping the services going will make development and QA time spent on new features increase. So if you are a developer you may be wondering how this affects you.

Thankfully, the current release of the Google Play services SDK is already present on Jelly Bean devices. As long as devices running Jelly Bean have Google Play services, they will continue to work as normal. In addition, each version of the SDK can independently be released.

Android Jelly Bean’s Google Play services will not receive any new updates

Also, they can update their own minSdkVersion. Thankfully, for application developers, individual libraries will not have to change due to this deprecation. API levels 16 and 18 will work with the newer SDK components.

However, if a developer keeps their applications supporting API 16 and 18 they may run into build errors for their applications. With that in mind, it will be beneficial for developers to use API level 19 or higher.

There are a couple of things developers can do to make their lives a bit easier. Going forward, it will be a good idea for developers to use API level 19 at least when they begin development. Of course, this is just a recommendation from Google. But, again it will make developers’ lives much easier.

Developers can simply increase the minSdkVersion to 19 in order to discontinue support for API levels no longer supported. Now in doing this, users with devices that support any API below that will not be able to download the new update.

However, these users will be able to take advantage of the current version. The second thing developers can do is build multiple APKs to support devices with an API level below 19. This can be a bit more work, but it will give users on older devices the chance to download any updates.

Over on the Android Developers Blog, it goes a bit more in-depth on how to do this. Android has been around for a long time. Honestly, Jelly Bean Google Play services being supported this long is amazing. However, Jelly Bean is just too old to support new features. It’s been a sweet journey though.

 



Source link